package com.ruoyi.interfaces.mapper;

import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.interfaces.domain.MdModelParams;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 模型参数信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
@Mapper
@DataSource(DataSourceType.SLAVE)
public interface MdModelParamsMapper 
{
    /**
     * 查询模型参数信息
     * 
     * @param parId 模型参数信息主键
     * @return 模型参数信息
     */
    public MdModelParams selectMdModelParamsByParid(String parId);

    /**
     * 查询模型参数信息列表
     * 
     * @param mdModelParams 模型参数信息
     * @return 模型参数信息集合
     */
    public List<MdModelParams> selectMdModelParamsList(MdModelParams mdModelParams);

    /**
     * 新增模型参数信息
     * 
     * @param mdModelParams 模型参数信息
     * @return 结果
     */
    public int insertMdModelParams(MdModelParams mdModelParams);

    /**
     * 修改模型参数信息
     * 
     * @param mdModelParams 模型参数信息
     * @return 结果
     */
    public int updateMdModelParams(MdModelParams mdModelParams);

    /**
     * 删除模型参数信息
     * 
     * @param parId 模型参数信息主键
     * @return 结果
     */
    public int deleteMdModelParamsByParid(String parId);


    /**
     * 批量删除模型参数信息
     * 
     * @param parIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMdModelParamsByParids(String[] parIds);

    int deleteMdModelParamsByMdid(String mdid);

    int updateMdModelParamsGroupCode(MdModelParams mdModelParams);
}
